2018-03-23 17:20 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002438FSSCPHUDpublic2012-07-12 03:22
Assigned ToSwifty 
PrioritynormalSeverityminorReproducibilityhave not tried
Product Version3.6.13 
Target VersionFixed in Version 
Summary0002438: Targeting arrow doesn't point inword in FSport
Descriptionwhen you target a ship and they are in your center reticle, the targeting arrow continues to point outwords as if the ship wasn't in your reticle. I seem to recall it pointing inwords in retail
TagsNo tags attached.
Attached Files

related to 0002504resolvedSwifty Target direction arrow remains even when target is in center reticle. 



Goober5000 (administrator)

Can you attach a screenshot?


Ptjeschke (reporter)

Last edited: 2011-06-06 06:35

Yes I can (sorry for late response), note that even though I'm targeting it and its in my retical the arrow is pointing outword. also I was wrong about this being an FSPort problem as it extends to the whole game.

Edit: Screenshot is compressed I hope thats no problem


Goober5000 (administrator)

Assigning to someone who's more familiar with the HUD code than me. :p


Swifty (developer)

As far as I'm aware, the behavior of the target direction arrow even before the HUD rewrite was that it disappears when a target is underneath the reticle. I even looked at commits to the target direction triangle code prior to the HUD rewrite and it's consistent with that intent.

Closing this issue since Mantis 2504 is more accurate depiction of what needs to be fixed.

-Issue History
Date Modified Username Field Change
2011-05-20 09:29 Ptjeschke New Issue
2011-05-29 03:26 Goober5000 Note Added: 0012694
2011-05-29 03:26 Goober5000 Assigned To => Goober5000
2011-05-29 03:26 Goober5000 Status new => assigned
2011-06-06 06:31 Ptjeschke Note Added: 0012703
2011-06-06 06:34 Ptjeschke File Added: Sreenshot5.zip
2011-06-06 06:35 Ptjeschke Note Edited: 0012703
2012-07-01 03:08 Goober5000 Note Added: 0013749
2012-07-01 03:08 Goober5000 Assigned To Goober5000 => Swifty
2012-07-06 22:38 Goober5000 Relationship added related to 0002504
2012-07-12 03:21 Swifty Note Added: 0013851
2012-07-12 03:22 Swifty Status assigned => closed
2012-07-12 03:22 Swifty Resolution open => fixed
+Issue History